Subject: Re: Hooking an IRQ on a modified mpc8349emitx board

From: Gary Thomas <[email-masked]>
Date: Thu, 04 Sep 2008 09:21:33 -0600

Scott Wood wrote:
> On Wed, Sep 03, 2008 at 03:55:41PM -0700, Oscar Takeshita wrote:
>> I've been trying to hook an IRQ on a modified mpc8349emitx board without 
>> success.
>>
>> The IRQ is hooked physically to IRQ1/GPIO2[13] on the mpc8349e. No other 
>> devices are
>> tied to this pin.
>>
>> I'm using uboot 1.2.0 and kernel 2.6.22.19.
>>
>> Do I need to have a dts entry for this interrupt in order to make
>> request_irq() succeed?
>>
>> How can I find the IRQ number? I tried probe_irq_on/off unfortunately it 
>> did not work.
>> Would it be MPC83xx_IRQ_EXT1 in arch/powerpc/include/asm/mpc83xx.h ?
>>
>> I'm new doing kernel work. Any hints appreciated.
> 
> You need to describe the IRQ in a device tree node and use
> irq_of_parse_and_map().  request_irq() takes virtual IRQ numbers.
> 
> Maybe we should put together an arch/powerpc FAQ...

That would be wonderful :-)  This could help many [of us] over these
initial speed-bumps.

-- 
------------------------------------------------------------
Gary Thomas                 |  Consulting for the
MLB Associates              |    Embedded world
------------------------------------------------------------